---
title: "Components"
type: Chapter
slug: true
nested: "components"
front: true
---

<span template-type="chapter"></span>

Once you've uncovered the PCB[^PCB] and other loose parts of the device, we can try to identify the various components. In general PCB's are made with either "trough hole" (THT) or "surface mount" (SMD) components. SMD components are _extremely_ tiny[^tiny] and soldered _on top of_ a PCB. Due to their size, they are really difficult to handle. Their size makes it difficult to read any type of value notation, and actually soldering SMD components is such a frustrating process.[^collapse-OS]. THT components are bigger and have "legs" which are pushed trough holes drilled in the PCB, making them easier to solder & desolder.

[^PCB]: Printed Circuit Board, this is where most of the components are solderd on top of.

[^tiny]: <ins>how tiny, I should include an image</ins>

There are an almost infinite number of parts[^interchangeable_part] that can be found in electronic devices. I’ve limited the field guide to the parts that I have found, and found relevant to mention, but you’re welcome to update.

<ins>I would like to include more information about how to identify parts and how to find datasheets</ins>

<ins>I would like to include info about how to desolder</ins>

[^interchangeable_part]: <ins> To research [interchangable parts](https://en.wikipedia.org/wiki/Interchangeable_parts#Late_19th_and_early_20th_centuries:_dissemination_throughout_manufacturing) n.a.v. deze [post](https://northcoastsynthesis.com/news/preferred-values-for-resistors-and-capacitors/)</ins>

| **Name**                           | **Category**             | **Description**                                                 | **Found in**                                    | **Symbol**                                                                                                   | **Value**                |
| ---------------------------------- | ------------------------ | --------------------------------------------------------------- | ----------------------------------------------- | ------------------------------------------------------------------------------------------------------------ | ------------------------ |
| **555 Timer**                      | IC                       | A small chip that generates pulses                              | Timers, LED dimmers                             |                                                                                       |
| **Capacitor**                      | Capacitor                | Store a voltage                                                 | Everywhere!                                     | ![](./assets/schematics/Capacitor-IEC-Polarized.svg) | Farads (F)               |
| **Coil**                           | Passive Component        | These funky components can create sounds on their own           | Transformers, relays, wireless charging         | ![](./assets/schematics/Inductor-COM-Air.svg)                                                         |
| **Crystal Oscillator**             | Passive                  | Generates a frequency that is often used as a clock             | Devices that have processors                    |                                                                                                         | Frequency (MHz)          |
| **Diode**                          | Diode                    | Forces current to flow in one direction                         | Everywhere!                                     | ![](./assets/schematics/Diode-COM-Standard.svg)                                                         |
| **Displays**                       | Display                  | Display information                                             | Monitors, calculators, embedded systems         | _nvt_                                                                                                        |
| **Fuse**                           | Passive                  | Protects circuits from overflowing                              | Power supplies, home appliances                 | _nvt_                                                                                                        | Current rating (A)       |                                                       |
| **LED (Light Emitting Diode)**     | Diode                    | Emit a small light                                              | Everywhere!                                     | ![](./assets/schematics/Diode-COM-LED.svg)                                                         |
| **Logic chips**                    | IC                       | Create logic and switches                                       | Computers, microcontrollers, control circuits   |                                                          |
| **MOSFET**                         | IC                       | Not sure yet                                                    | Power supplies, motor control                   |                                                         | Threshold voltage (V)    |
| **Magnet**                         | Misc                     | Electromagnetic applications, motors                            | Speakers, hard drives                           | _nvt_                                                                                                        |
| **Microcontroller**                | IC                       | Programmable chip, for example the ATmega328                    | Embedded systems, Arduino, automation           | ![](./assets/schematics/Capacitor-IEC-Polarized.svg)                                                         |
| **Microphone**                     | Input                    | Record sound                                                    | Phones, vapes                                   | ![](./assets/schematics/Audio-IEEE-Microphone.svg)                                                         |
| **Motor**                          | Electromechanical Device | Spins when a power is applied                                   | Printers, blenders, vacuums                     | ![](./assets/schematics/motor.png)                                                         | Voltage (V), Current (A) |
| **NPN Transistor**                 | Transistor               | Amplification/switching                                         | Everywhere!                                     | ![](./assets/schematics/Transistor-COM-BJT-NPN.svg)                                                         |
| **Op-Amp (Operational Amplifier)** | IC                       | Amplifying signals                                              | Audio circuits, sensors, control systems        | ![](./assets/schematics/IC-COM-OpAmp.svg)                                                         |
| **PCB**                            | Misc                     | Where the circuit is placed on                                  | Everywhere!                                     |                                                         |
| **PNP Transistor**                 | Transistor               | Amplification/switching                                         | Everywhere!                                     | ![](./assets/schematics/Transistor-COM-BJT-PNP.svg)                                                         |
| **Piezo disc**                     | Ouput/Input              | Records or creates vibrations                                   | Buzzers, sensors                                |                                                                                                         |
| **Potentiometer**                  | Resistor                 | Limiting voltage trough a knob                                  | Volume knobs, light dimmers                     | ![](./assets/schematics/Resistor-IEEE-Potentiometer.svg)                                                         | Resistance (Ohm, Ω)      |
| **Relay**                          | Electromechanical        | Switches power                                                  | Household appliances                            | ![](./assets/schematics/Relay-COM-COM-SPDT.svg)                                                         |
| **Resistor**                       | Resistor                 | Limiting voltage                                                | Everywhere!                                     | ![](./assets/schematics/Resistor-IEEE-Standard.svg)                                                         | Resistance (Ohm, Ω)      |
| **Speaker**                        | Ouput                    | Outputs sound                                                   | Toys, (portable) radio’s                        | ![](./assets/schematics/Audio-COM-Loudspeaker.svg)                                                         | Impedance (Ω)            |
| **Stepper motor**                  | Electromechanical Device | Device that creates a step based movement                       | Printers, disk drives, hard drives, 3d printers |                                                         |
| **Switches & buttons**             | Input                    | Interact with the device                                        | Light switches, keyboards                       | ![](./assets/schematics/Switch-COM-SPST.svg)                                                         |
| **Thermistor**                     | Resistor                 | Limiting voltage dependant on temperature                       | Not sure yet                                    | ![](./assets/schematics/Resistor-IEEE-Thermistor.svg)                                                         | Resistance (Ohm, Ω)      |
| **Trimpots**                       | Resistor                 | Limit voltage trough a small knob adjustable with a screwdriver | Audio circuits, calibration devices             | ![](./assets/schematics/Resistor-IEEE-Trimmer.svg)                                                         | Resistance (Ohm, Ω)      |
| **Voltage regulators**             | Passive Component        | Not sure yet                                                    | Power supplies, embedded systems                |                                                         |